{% extends "customers/base.html" %}
{% load i18n %}
{% load active_tag %}
{% load widget_tweaks %}
{% load tag_color_tag %}
{% load status_tag %}
{% load md2 %}
{% load humanize %}
{% load price_tag %}
{% block title %}Tipificaciones del Servicio {{ service.number }}{% endblock %}

{% block page %}
{%if can_show_detail %}
	<!-- begin breadcrumb -->
	<ol class="breadcrumb float-xl-right">
		<li class="breadcrumb-item"><a href="{% url 'home' %}">Home</a></li>
		<li class="breadcrumb-item"><a href="{% url 'customer-list' %}">Clientes</a></li>
		<li class="breadcrumb-item"><a href="{% url 'customer-detail' pk=customer.pk %}">{{ customer.rut }}</a></li>
		<li class="breadcrumb-item"><a href="{% url 'service-list' customer_pk=customer.pk %}">Servicios Contratados</a></li>
		<li class="breadcrumb-item"><a href="{% url 'service-detail' slug=service.pk %}">#{{ service.number }}</a></li>
    <li class="breadcrumb-item active">Tipificaciones</li>
	</ol>
	<!-- end breadcrumb -->

<!-- begin page-header -->
<h1 class="page-header">#{{ service.number }} - {{ customer.name }}</h1>
<!-- end page-header -->

<ul class="nav nav-pills mb-2">
	<li class="nav-item {% add_active request 'service-detail' %}">
		<a href="{% url 'service-detail' slug=service.pk %}"class="nav-link">
			<span class="d-sm-none">General</span>
			<span class="d-sm-block d-none">General</span>
		</a>
	</li>
	<li class="nav-item {% add_active request 'service-network-detail' %}">
		<a href="{% url 'service-network-detail' slug=service.slug %}" class="nav-link">
			<span class="d-sm-none">Red</span>
			<span class="d-sm-block d-none">Red</span>
		</a>
	</li>
	<!-- <li class="nav-item {% add_active request 'service-calls' %}">
		<a href="{% url 'service-calls' slug=service.slug %}" class="nav-link">
			<span class="d-sm-none">Registro de Llamadas</span>
			<span class="d-sm-block d-none">Registro de Llamadas</span>
		</a>
	</li> -->
	<li class="nav-item {% add_active request 'service-gallery' %}">
			<a href="{% url 'service-gallery' slug=service.slug %}" class="nav-link">
				<span class="d-sm-none">Galería</span>
				<span class="d-sm-block d-none">Galería</span>
			</a>
		</li>
	<li class="nav-item {% add_active request 'service-documents' %}">
		<a href="{% url 'service-documents' slug=service.slug %}" class="nav-link">
			<span class="d-sm-none">Documentos</span>
			<span class="d-sm-block d-none">Documentos</span>
		</a>
	</li>
	<li class="nav-item {% add_active request 'service-extras' %}">
		<a href="{% url 'service-extras' slug=service.slug %}" class="nav-link">
			<span class="d-sm-none">Prefacturación</span>
			<span class="d-sm-block d-none">Prefacturación</span>
		</a>
	</li>
	<li class="nav-item {% add_active request 'service-plan-orders' %}">
		<a href="{% url 'service-plan-orders' slug=service.slug %}" class="nav-link">
			<span class="d-sm-none">Orden de Servicio</span>
			<span class="d-sm-block d-none">Orden de Servicio</span>
		</a>
	</li>
    <li class="nav-item {% add_active request 'service-configuration' %}">
        <a href="{% url 'service-configuration' slug=service.slug %}" class="nav-link">
            <span class="d-sm-none">Configuración</span>
            <span class="d-sm-block d-none">Configuración</span>
        </a>
    </li>
	<li class="nav-item">
        <a href="#"class="nav-link active">
            <span class="d-sm-none">Tipificaciones</span>
            <span class="d-sm-block d-none">Tipificaciones</span>
        </a>
    </li>
	<li class="nav-item {% add_active request 'service-billing' %}">
        <a href="{% url 'service-billing' service.slug %}" class="nav-link">
          <span class="d-sm-none">Estado de Cuenta servicio</span>
          <span class="d-sm-block d-none">Estado de Cuenta servicio</span>
        </a>
      </li> 
	<li class="nav-item {% add_active request 'invoice-list' %}">
		<a href="{% url 'invoice-list' service.customer.pk %}" class="nav-link">
			<span class="d-sm-none">Estado de Cuenta cliente</span>
			<span class="d-sm-block d-none">Estado de Cuenta cliente</span>
		</a>
	</li>     
</ul>
	

	  
	<!-- begin row -->
	<div class="row">
		<!-- begin col-12 -->
		<div class="col-xl-12 ui-sortable">
			<!-- begin panel -->
			<div class="panel panel-inverse" data-sortable-id="ui-general-1">
				<!-- begin panel-heading -->
				<div class="panel-heading ui-sortable-handle">
					<h4 class="panel-title">Tipificaciones</h4>
					<div class="panel-heading-btn">
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
					</div>
				</div>
				<!-- end panel-heading -->
				<!-- begin panel-body -->
				<div class="panel-body">
          

          {% with service.get_statement as statement %}
          <div id="extra">
            <table class="table table-striped">
              <thead>
                <tr>
                  <th>ID</th>
                  <th>Fecha de creación</th>
                  <th>Operador</th>
                  <th>RUT</th>
                  <th>Status</th>
				  <th>Categoría</th>
                  <th>Agente</th>
                </tr>
              </thead>
              <tbody>
				  {% for typ in typify %}
				  <tr>
					<td>{{typ.ID}}</td>
					<td>{{typ.created}}</td>
					<td>{{typ.operator}}</td>
					<td>{{typ.rut}}</td>
					<td>{{typ.status}}</td>
					<td>{{typ.category}}</td>
					<td>{{typ.agent}}</td>
				</tr>
				  {% endfor %}
              </tbody>
            </table>
          </div>
          {% endwith %}
				</div>
				<!-- end panel-body -->
			</div>
			<!-- end panel -->
		</div>
		<!-- end col-12 -->
	</div>
	<!-- end row -->

	<!-- begin scroll to top btn -->
	<a href="javascript:;" class="btn btn-icon btn-circle btn-success btn-scroll-to-top fade" data-click="scroll-top"><i class="fa fa-angle-up"></i></a>
	<!-- end scroll to top btn -->
	{%else%}
	<!-- begin page-header -->
	<h1 class="page-header">  Servicio </h1>
	<!-- end page-header -->
	<div class="alert alert-success"  style="background-color: rgb(245, 156, 26); text-align: center;" role="alert">
	<h4 class="alert-heading" style=" text-align: center;">No encontrado</h4>
	<hr>
	<h5 class="mb-0">Cambie de operador o vuelva al listado.</h5>
	</div>
	{% endif %}
{% endblock %}